local createCompositionDoors_move = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/09_doctor/main/anim/z_stand_turtle/"
---------------------------------------------------------------------------------------
function Loader_09_Zoom_Stand_Turtle_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionDoors_move,		                'doors',		        0,0, 10, 320,240, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionDoors_move = function()
	local compositionDoors_move = CreateCompositionSequence()
	local compositionDuration = 0.79166666666667
	compositionDoors_move:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."slon_zelenuy.png")
	element:SetName("Layer_1")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(40.5, 35)
	compositionDoors_move:RegisterParentInfo("Layer_1", "Layer_5")
	element:SetXY(239.5, 133)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."slon_siniy.png")
	element:SetName("Layer_2")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(67, 62)
	compositionDoors_move:RegisterParentInfo("Layer_2", "Layer_5")
	element:SetXY(173, 119)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."slon_krasnuy.png")
	element:SetName("Layer_3")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(21, 29.5)
	compositionDoors_move:RegisterParentInfo("Layer_3", "Layer_5")
	element:SetXY(217, 190)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."slon_tools.png")
	element:SetName("Layer_4")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(35, 37)
	compositionDoors_move:RegisterParentInfo("Layer_4", "Layer_5")
	element:SetXY(245, 193)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."cherepaha_mask.png")
	element:SetName("Layer_5")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(202.5, 155.5)
	element:SetParentElement(compositionDoors_move)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:SetKey(_TRACK_X, 0, 407.5)
	effector:SetKey(_TRACK_Y, 0, 224.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 413)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 224.5)
	effector:SetKey(_TRACK_X, 0.16666666666667, 407.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 224.5)
	effector:SetKey(_TRACK_X, 0.25, 413)
	effector:SetKey(_TRACK_Y, 0.25, 224.5)
	effector:SetKey(_TRACK_X, 0.33333333333333, 407.5)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 224.5)
	effector:SetKey(_TRACK_X, 0.41666666666667, 407.5)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 224.5)
	effector:SetKey(_TRACK_X, 0.5, 413)
	effector:SetKey(_TRACK_Y, 0.5, 224.5)
	effector:SetKey(_TRACK_X, 0.58333333333333, 407.5)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 224.5)
	effector:SetKey(_TRACK_X, 0.66666666666667, 413)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 224.5)
	effector:SetKey(_TRACK_X, 0.75, 407.5)
	effector:SetKey(_TRACK_Y, 0.75, 224.5)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."dver_1.png")
	element:SetName("Layer_6")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(210.5, 178.5)
	element:SetParentElement(compositionDoors_move)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:SetKey(_TRACK_X, 0, 412.5)
	effector:SetKey(_TRACK_Y, 0, 222.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 418)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 222.5)
	effector:SetKey(_TRACK_X, 0.16666666666667, 412.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 222.5)
	effector:SetKey(_TRACK_X, 0.25, 418)
	effector:SetKey(_TRACK_Y, 0.25, 222.5)
	effector:SetKey(_TRACK_X, 0.33333333333333, 412.5)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 222.5)
	effector:SetKey(_TRACK_X, 0.41666666666667, 412.5)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 222.5)
	effector:SetKey(_TRACK_X, 0.5, 418)
	effector:SetKey(_TRACK_Y, 0.5, 222.5)
	effector:SetKey(_TRACK_X, 0.58333333333333, 412.5)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 222.5)
	effector:SetKey(_TRACK_X, 0.66666666666667, 418)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 222.5)
	effector:SetKey(_TRACK_X, 0.75, 412.5)
	effector:SetKey(_TRACK_Y, 0.75, 222.5)
	effector:SetKey(_TRACK_SX, 0, 0.97624703087886)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.08333333333333, 0.95624703087886)
	effector:SetKey(_TRACK_SY, 0.08333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 0.97624703087886)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.25, 0.95624703087886)
	effector:SetKey(_TRACK_SY, 0.25, 1)
	effector:SetKey(_TRACK_SX, 0.33333333333333, 0.97624703087886)
	effector:SetKey(_TRACK_SY, 0.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.41666666666667, 0.97624703087886)
	effector:SetKey(_TRACK_SY, 0.41666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.5, 0.95624703087886)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 0.97624703087886)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.66666666666667, 0.95624703087886)
	effector:SetKey(_TRACK_SY, 0.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.75, 0.97624703087886)
	effector:SetKey(_TRACK_SY, 0.75, 1)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."otkrutaya_past.png")
	element:SetName("Layer_7")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(19.5, 19)
	element:SetParentElement(compositionDoors_move)
	element:SetXY(236.25, 216.75)
 
	element:SetScaleX(1.00008955992257)
	element:SetScaleY(0.99991044809769)
	element:SetAngle(0.82379316288995)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."dver_2.png")
	element:SetName("Layer_8")
	compositionDoors_move:AddElement(element)
	element:SetHotSpot(116.5, 158)
	element:SetParentElement(compositionDoors_move)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.79166666666667)
	effector:SetKey(_TRACK_X, 0, 188.5)
	effector:SetKey(_TRACK_Y, 0, 192)
	effector:SetKey(_TRACK_X, 0.08333333333333, 183.5)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 192)
	effector:SetKey(_TRACK_X, 0.16666666666667, 188.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 192)
	effector:SetKey(_TRACK_X, 0.25, 183.5)
	effector:SetKey(_TRACK_Y, 0.25, 192)
	effector:SetKey(_TRACK_X, 0.33333333333333, 188.5)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 192)
	effector:SetKey(_TRACK_X, 0.41666666666667, 188.5)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 192)
	effector:SetKey(_TRACK_X, 0.5, 183.5)
	effector:SetKey(_TRACK_Y, 0.5, 192)
	effector:SetKey(_TRACK_X, 0.58333333333333, 188.5)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 192)
	effector:SetKey(_TRACK_X, 0.66666666666667, 183.5)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 192)
	effector:SetKey(_TRACK_X, 0.75, 188.5)
	effector:SetKey(_TRACK_Y, 0.75, 192)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.08333333333333, 0.96)
	effector:SetKey(_TRACK_SY, 0.08333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.25, 0.96)
	effector:SetKey(_TRACK_SY, 0.25, 1)
	effector:SetKey(_TRACK_SX, 0.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 0.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.41666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.5, 0.96)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.66666666666667, 0.96)
	effector:SetKey(_TRACK_SY, 0.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.75, 1)
	effector:SetKey(_TRACK_SY, 0.75, 1)
	effector:Play()
 
	compositionDoors_move:Play()
 
	return compositionDoors_move
end
 
